function [xi_n] = henon_eigVect_expansion_intval(...
    x_n, lambda_n, xi_0, a, b, N)
%UNTITLED7 Summary of this function goes here
%   Detailed explanation goes here




%Derivative of Eigenvector at omega = 0 <==> first coeficient.
xi1_1 = [b, -lambda_n(1);
         2*xi_0(1), 2*xi_0(2)]\[lambda_n(2)*xi_0(2) - xi_0(1);
                                   0];

%Test that this is the derivative:                               
          

eig_homMatrix = [         b, -lambda_n(1);
                 2*xi_0(1),  2*xi_0(2)];
    
xi_n = intval(zeros(2, N+1));
xi_n(:, 1) = xi_0;
xi_n(:, 2) = xi1_1;
             
for n = 2:N               
    sum1 = 0;
    for k = 0:(n-1)
        sum1 = sum1 + lambda_n(n-k+1)*xi_n(2, k+1);
    end
    sum2 = 0;
    for k = 1:(n-1)
        sum2 = sum2 + xi_n(1, n-k+1)*xi_n(1, k+1) + ...
                      xi_n(2, n-k+1)*xi_n(2, k+1);
    end
    thisRHS = [-xi_n(1, n) + sum1;
               -sum2];
           
    xi_n(:, n+1) = eig_homMatrix\thisRHS;
end


end

