function [lambda_n] = henon_eigVal_expansion_intval(xn, lambda, a, b, N)
%UNTITLED5 Summary of this function goes here
%   Detailed explanation goes here

x0 = xn(1);
x1 = xn(2);
lambda1 = lambda;

lambda11 = (1 - 2*a*x1*lambda1)/(2*lambda1 + 2*a*x0);
 
M = N;
lambda_n = intval(zeros(1, M+1));
lambda_n(1) = lambda1;
lambda_n(2) = lambda11;

coef_2 = -1/(2*lambda_n(1) + 2*a*x0);
for n = 2:M
    theSum1 = 0;
    for k = 1:(n-1)
        theSum1 = theSum1 + lambda_n(n-k+1)*lambda_n(k+1);
    end
    
    theSum2 = 0;
    for k = 0:(n-1)
        theSum2 = theSum2 + xn(n-k+1)*lambda_n(k+1);
    end
    lambda_n(n+1) = coef_2*(theSum1 + 2*a*theSum2);
end


end

