function s_return=compute_henon_sn_rhoPartial_intval(...
                             n, P1, P2, P1_rho, P2_rho, a, b, N)


A1 = intval(zeros(1, N+1));
A1(1, 1:n) = P1(1:n);

B1 = intval(zeros(1, N+1));
B1(1, 1:n) = P1_rho(1:n);

theValue = intval(0);

for (j = 1:n-1)
  theValue = theValue + ...
                B1(1, n-j+1)*A1(1, j+1) + A1(1, n-j+1)*B1(1, j+1);
end
   
sn1 = a*theValue;

s_return = [sn1;
            intval(0)];
        
        
        
        